summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-11-30 17:12:56 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-11-30 17:12:56 +0100
commite13ab0feaaaa9a429ab0779761b77d5802df4abe (patch)
tree88d03a162ba0783c59e08b10412bb30403584d05
parenta78acdf18701a5db0e43ca4776386fb1b4f8c3a9 (diff)
downloaddeployment-e13ab0feaaaa9a429ab0779761b77d5802df4abe.tar.gz
deployment-e13ab0feaaaa9a429ab0779761b77d5802df4abe.tar.bz2
deployment-e13ab0feaaaa9a429ab0779761b77d5802df4abe.zip
adjusting params
-rwxr-xr-xbin/taler-deployment-top-reserve9
1 files changed, 7 insertions, 2 deletions
diff --git a/bin/taler-deployment-top-reserve b/bin/taler-deployment-top-reserve
index 69cdbba..68c2ec3 100755
--- a/bin/taler-deployment-top-reserve
+++ b/bin/taler-deployment-top-reserve
@@ -12,14 +12,19 @@ taler-exchange-reservemod \
--add="$TALER_CONFIG_CURRENCY:100.0" \
--reserve=S98FEXHW3VJ93EA73CRAQ5E8E4DJE96Z9JXYFHFD169FWS9NS8A0 \
--sender='{"bank_uri":"https://bank.$TALER_ENV_NAME.taler.net/","account_number":7,"type":"test"}' \
- --transfer=$UUID
+ --transfer='{"uuid":"$UUID"}'
+
+if ! test 0 = $?; then
+ echo Topping reserve failed!
+ exit 1
+fi
# note: account number (7) is hardcoded, as tipping
# is only being tested against the 'default' instance.
taler-merchant-tip-enable \
--amount="$TALER_CONFIG_CURRENCY:100.00" \
- --backend-uri="http://backend.$TALER_ENV_NAME.taler.net/" \
+ --backend="http://backend.$TALER_ENV_NAME.taler.net/" \
--credit-uuid=$UUID \
--instance=default \
--expiration=$(date --date="2 weeks" +"%Y-%m-%d")